.\" XmHTML
.\"
.\" XmHTML.man
.\"
.\" ##
.TH XmHTML 1 "8 APRIL 1999" "V1.1.0"
.SH NAME
XmHTML \- XmHTML Widget Set 
.SH SYNOPSIS
.B XmHTML
.SH DESCRIPTION
XmHTML is a Motif widget capable of displaying HTML 3.2 documents. Features include a very good
HTML parser (which is as also available as a Widget) with excellent document verification and repair
capabilities (the best I've ever seen), built in support for X11 bitmaps, pixmaps, GIF87a & GIF89a
(using a patent free LZW decoding method), animated gifs, JPEG (baseline and progressive) and PNG
(all features supported), anchor highlighting, text justification, full HTML <FRAME> support, HTML
frames and many more. It also comes with four examples demonstrating possible use of the XmHTML
widget. XmHTML is currently in Beta stage and publically available. 
.SH OVERVIEW
XmHTML, a high performance Motif Widget capable of displaying HTML 3.2
confirming text. Amongst it's many features are the following:
 
            builtin image support for X11 bitmaps, X11 pixmaps, 
		GIF87a, GIF89a, JPEG and PNG; 

            GIF images are decoded using a patent free scheme; 
            builtin support for animated GIF89a and animated GIF89a 
		with NETSCAPE2.0 loop extension.

            XmHTML supports all GIF89a disposal methods; 
            image support covers all X11 visual types and display 
		depths; 

            delayed image loading; 
            progressive image loading; 
            builtin scrolling interface (both keyboard and mouse); 
            anchors can be displayed as pushbuttons; 
            anchor can be highlighted for enhanced visual feedback; 
            autosizing;

 
            capable of displaying text/html, text/plain and standalone 
		images;

 
            supports the full HTML 3.2 standard; as well as the 
	   	 HTML 4.0 <FRAMESET> tags; 

            an extensive set of callback resources; 

            full text justification; 

            smart and user-definable font mapping; 

            can work with a predefined palette (which it can even 
		create for you); 

            builtin quantizer using Floyd-Steinberg error diffusion; 

            four different dithering methods allow one to achieve an
		optimum balance between performance and image quality; 

            HTML Table support; 

            Support for HTML4.0 Events; 

            fully compatible with LessTif; 

            comes with an extensive set of documentation (manual
 		pages Programmers and Reference Guide and 
		a collection of examples); 

.SH MORE INFORMATION

For more information see "http://www.xs4all.nl/~ripley/XmHTML/XmHTML.html "

.SH PROGRAM AUTHOR

Koen D'Hondt & Niels Hilbrink <ripley@xs4all.nl>

.SH MAN PAGE

Mehdi Lavasani <lavasani@csc.liv.ac.uk>
